Strict Standards: Declaration of action_plugin_importoldchangelog::register() should be compatible with DokuWiki_Action_Plugin::register($controller) in /home/project-web/genj/htdocs/wiki/lib/plugins/importoldchangelog/action.php on line 8

Strict Standards: Declaration of action_plugin_metaheaders::register() should be compatible with DokuWiki_Action_Plugin::register($controller) in /home/project-web/genj/htdocs/wiki/lib/plugins/metaheaders/action.php on line 140

Strict Standards: Declaration of action_plugin_importoldindex::register() should be compatible with DokuWiki_Action_Plugin::register($controller) in /home/project-web/genj/htdocs/wiki/lib/plugins/importoldindex/action.php on line 57

Strict Standards: Declaration of action_plugin_googleanalytics::register() should be compatible with DokuWiki_Action_Plugin::register($controller) in /home/project-web/genj/htdocs/wiki/lib/plugins/googleanalytics/action.php on line 50

Deprecated: Assigning the return value of new by reference is deprecated in /home/project-web/genj/htdocs/wiki/inc/parserutils.php on line 208

Deprecated: Assigning the return value of new by reference is deprecated in /home/project-web/genj/htdocs/wiki/inc/parserutils.php on line 211

Deprecated: Assigning the return value of new by reference is deprecated in /home/project-web/genj/htdocs/wiki/inc/parserutils.php on line 421

Deprecated: Assigning the return value of new by reference is deprecated in /home/project-web/genj/htdocs/wiki/inc/parserutils.php on line 594

Strict Standards: Declaration of cache_instructions::retrieveCache() should be compatible with cache::retrieveCache($clean = true) in /home/project-web/genj/htdocs/wiki/inc/cache.php on line 291

Deprecated: Function split() is deprecated in /home/project-web/genj/htdocs/wiki/inc/auth.php on line 154

Warning: Cannot modify header information - headers already sent by (output started at /home/project-web/genj/htdocs/wiki/lib/plugins/importoldchangelog/action.php:8) in /home/project-web/genj/htdocs/wiki/inc/auth.php on line 245

Strict Standards: Only variables should be passed by reference in /home/project-web/genj/htdocs/wiki/doku.php on line 71

Warning: Cannot modify header information - headers already sent by (output started at /home/project-web/genj/htdocs/wiki/lib/plugins/importoldchangelog/action.php:8) in /home/project-web/genj/htdocs/wiki/inc/actions.php on line 370

Warning: Cannot modify header information - headers already sent by (output started at /home/project-web/genj/htdocs/wiki/lib/plugins/importoldchangelog/action.php:8) in /home/project-web/genj/htdocs/wiki/inc/actions.php on line 383
de:introduction
Warning: date(): It is not safe to rely on the system's timezone settings. You are *required* to use the date.timezone setting or the date_default_timezone_set() function. In case you used any of those methods and you are still getting this warning, you most likely misspelled the timezone identifier. We selected the timezone 'UTC' for now, but please set date.timezone to select your timezone. in /home/project-web/genj/htdocs/wiki/inc/template.php on line 302

Einleitung

GenealogyJ ist ein Programm zum Betrachten und Bearbeiten von genealogischen Daten, geeignet für den Hobbyisten, Familienhistoriker und Ahnenforscher zugleich. GenJ unterstützt den Gedcom Standard, ist komplett in Java geschrieben und bietet Stammbaum-, Tabellen-, Historische Ansichten und mehr. GenJ ist Freeware, kann also weitergegeben und/oder modifiziert werden unter den Bedingungen der GNU General Public Licence (wie veröffentlicht von der Free Software Foundation).

Neuigkeiten

18. Februar 2010 - GenealogyJ Version 3.0 ist hier erhältlich.

Vorraussetzungen

Vorraussetzung für das Ausführen von GenJ auf dem vorhandenen Betriebssystem ist eine Java Virtuelle Maschine Version 1.6 oder höher, erhältlich für

Das Programm

Einen Überblick geben die Screenshots. Neue Benutzer können im Hilfe-Wiki blättern oder einfach eine aktuelle Version herunterladen.

Entwickler können den Quellcode abrufen oder unser CVS Repository bemühen, um GenJ selbst zu kompilieren oder an der Entwicklung teilzunehmen. Für Fragen oder Kommentare steht das öffentliche Forum zur Verfügung.

1) offiziell nur erhältlich für 64bit Intel